#!/usr/bin/perl
#
# Script to split a dictionary of words in 8 characters words: This is
# required to crack password from an HP-UX Trusted System
#
# Usage:
# $ cat dictionary_file | ./split_dict.pl > splitted_dictionary_file
#
# This Perl script reads a list of words from STDIN (one word per line),
# as in common dictionary files, and prints to STDOUT the same list of
# words following these rules:
# 1) If the input word is less than 8 characters, it is displayed as is.
# 2) If the input word is equal to 8 characters, it is displayed as is.
# 3) If the input word is more than 8 characters, it is displayed in
#    two lines: the first line has the first 8 characters and the second
#    line contains the last fragment.
#
#

my $line;
my $length;
my $first;
my $last;

my @file=<STDIN>;

for $line (@file) {
	#print $line;
	$length = length($line);

	# The string length is the number of chars + 1 (EOL): 9
	if ($length <= 9) {
		print $line;
	} else {
		$first = substr($line,0,8);
		print $first,"\n";
		$line =~ s/^.{8}//;
		print $line;
	}
}

